package com.friday.custody.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.friday.custody.entity.CustodyTenantMappingEntity;
import org.apache.ibatis.annotations.Mapper;

/**
 * 官网租户映射表
 * 
 * @author lyb
 * @email k0051582@gmail.com
 * @date 2022-12-29 08:58:50
 */
@Mapper
public interface CustodyTenantMappingDao extends BaseMapper<CustodyTenantMappingEntity> {

    String selectAdmin(String tenant);

    CustodyTenantMappingEntity queryByTenant(String tenant);

    CustodyTenantMappingEntity queryByAdmin(String admin);

    void insertOrUpdate(CustodyTenantMappingEntity entity);
}
